<template>
  <div class="container">
    <TheHeader light />
    <nuxt class="dashboard__page" />
    <Notificationbar />
    <TheFooter light />
  </div>
</template>

<script>
import TheHeader from "@/components/layout/header/TheHeader";
import TheFooter from "@/components/layout/footer/TheFooter";
import Notificationbar from "@/components/base/Notificationbar";
import DashboardNavigation from "@/components/layout/DashboardNavigation";
import Button from "@/components/base/Button";
import BackIcon from "@/assets/svgs/back.svg";

export default {
  components: {
    TheHeader,
    TheFooter,
    Notificationbar,
    DashboardNavigation,
    Button,
    BackIcon
  },
  watch: {
    isLoggedIn() {
      if (!this.isLoggedIn) {
        this.$router.push('/login');
      }
    }
  },
  computed: {
    isLoggedIn() {
      return this.$store.getters['auth/isLoggedIn'];
    }
  },
  middleware: 'authenticated'
};
</script>

<style lang="stylus">
@import '~assets/styles/variables'

.container
  position relative

.dashboard
  &__page
    margin-top $header-height
    background-color $light
    padding $md $lg
    @media only screen and (max-width: 600px)
      padding $md
    @media only screen and (max-width: 450px)
      padding $md $sm
  &__nav
    width 25%
    margin-left $md
    @media only screen and (max-width: 1116px)
      display none
  &__content
    width 75%
    align-self flex-start
    @media only screen and (max-width: 1116px)
      width 100%
  &__header
    direction rtl
    display flex
    justify-content space-between
    align-items center
    margin-bottom $md
  &__body
    display flex
    flex-direction row-reverse
    color $black
  &__actions
    display flex
    align-items center
    & > *:not(:last-child)
      margin-left $sm
      @media only screen and (max-width 600px)
        margin-left $xsm
  &__title
    font-size 2.6rem
    color $grey
    @media only screen and (max-width 600px)
      font-size 2.2rem
    @media only screen and (max-width 400px)
      font-size 2rem
    @media only screen and (max-width 350px)
      font-size 1.8rem

.ql-toolbar, .ql-snow
  direction ltr

.ql-container, .ql-editor
  font-family 'IRANSans'
  font-size $font-size

.ql-editor
  direction rtl
  text-align right
  text-decoration none

.ql-snow .ql-editor
  & blockquote 
    border-right: 4px solid #ccc
    border-left none
    padding-left none 
    padding-right 1.6rem
</style>
